%define name	gajim
%define version	0.8.2
%define release	%mkrel 1
%define Summary	Jabber Client written in PyGTK


Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.gajim.org/downloads/gajim-%{version}.tar.bz2
URL:		http://www.gajim.org
Group:		Networking/Instant messaging
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	python >= %{pyver}
Requires:   pygtk2.0-libglade  python-gnome
BuildRequires:	python python-devel python-gtk python-gnome
BuildRequires:	gtkspell-devel gtk2-devel pygtk2.0-devel
BuildRequires:	libstdc++-devel
BuildREquires:  ImageMagick

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, eventhough it exists with it
nicely. Gajim is released under the GNU General Public License

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support

%prep
%setup -q
%build
%make \
	PYTHONVER="%{pyver}" \
	PREFIX="%{_prefix}" \
	LIBDIR="/%{_lib}" \
	MANDIR="%{_mandir}"

%install
rm -rf $RPM_BUILD_ROOT
%make \
	DESTDIR="%{buildroot}" \
	PYTHONVER="%{pyver}" \
	PREFIX="%{_prefix}" \
	LIBDIR="/%{_lib}" \
	MANDIR="%{buildroot}%{_mandir}" \
	install

mkdir $RPM_BUILD_ROOT/%_menudir/
cat << EOF  >$RPM_BUILD_ROOT/%_menudir/%{name}
?package(%{name}): command="%{_bindir}/%{name}" \ 
needs="X11" icon="%{name}.png" section="Internet/Instant Messaging" \
title="Gajim" longtitle="Jabber client"  
EOF


mkdir -p %buildroot/%_iconsdir
mkdir -p %buildroot/%_liconsdir
mkdir -p %buildroot/%_miconsdir

convert $RPM_BUILD_ROOT/%_datadir/%name/data/pixmaps/gajim.png -resize 32x32 %buildroot/%_iconsdir/%name.png
convert $RPM_BUILD_ROOT/%_datadir/%name/data/pixmaps/gajim.png -resize 16x16 %buildroot/%_miconsdir/%name.png
convert $RPM_BUILD_ROOT/%_datadir/%name/data/pixmaps/gajim.png -resize 48x48 %buildroot/%_liconsdir/%name.png

%find_lang %{name} 
%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%postun
%{update_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS Changelog COPYING README
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_datadir}/applications/gajim.desktop
%{_datadir}/gajim
%{_datadir}/pixmaps/gajim.png
%{_datadir}/pixmaps/gajim_about.png
%dir %{_libdir}/gajim
%{_libdir}/gajim/gtkspell.so
%{_libdir}/gajim/idle.so
%{_libdir}/gajim/trayicon.so
%{_menudir}/%name
%doc %{_mandir}/man1/gajim.1*
%doc %{_mandir}/man1/gajim-remote.1*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Sep 06 2005 Michael Scherer <misc@mandriva.org> 0.8.2-1mdk
- New release 0.8.2
- remove patch, applied upstream

* Tue Sep 06 2005 Michael Scherer <misc@mandriva.org> 0.8.1-1mdk
- New release 0.8.1
- fix #18273 ( thanks michael reinsh )

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 0.8-2mdk
- add a menu ( thanks michael reinsh )
- fix #17898
- fix error in requires

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- from Matthieu Milan <matthieu.milan@gmail.com>
  - new package
